Associate existing accounts by email
Target version:    
Description

Hi there, I was struggling with OpenId account association until I realize that is just not implemented at all. So after this: 

http://stackoverflow.com/questions/8806865/redmine-openid-usage where @mppfiles bring openId fix to my knowledge I went a little

deeper I edit the code so now it checks if the email returned by openID is an existing user email and if so associates the identity_url

permanently.

Patch attached.

History

#1 - 09 Feb 2013 21:52 - Andriy Lesyuk

- Status changed from New to Incomplete

- Assignee set to Andriy Lesyuk

Thanks for patch! Can’t currently decide if it should be merged in...

#2 - 11 Jul 2013 09:04 - Leonid Titov

- File openid_account_controller_patch.rb added

Hello Andriy! Thanks a lot for your redmine activity!

I have a question about this issue.

Now I use 0.1.0 version of this plugin, and - as I can see - you have slightly modified the code, so above patch is not applicable directly.

I tried to modify current code by myself, but have no success - I’m not a ruby developer at all 

You can see my version of the code in attachement.

Here is production.log for a login attempt:

@ArgumentError (http://axschema.org/contact/email is not a defined simple registration field):

  lib/plugins/open_id_authentication/lib/open_id_authentication.rb:145:in `complete_open_id_authentication'

  lib/plugins/open_id_authentication/lib/open_id_authentication.rb:121:in `authenticate_with_open_id'

  app/controllers/account_controller.rb:159:in `authenticate_user'

  app/controllers/account_controller.rb:32:in `login'@

 

So how can I implement this feature and allow existing users login with openid, recognizing them by their email?

09 Jul 2025 1/2

http://stackoverflow.com/questions/8806865/redmine-openid-usage


#3 - 12 Jul 2013 09:54 - Dmitry Chernov

- File openid_account_controller_patch.rb added

I fixed this issue.]

A working version is attached

#4 - 11 May 2014 23:03 - Andriy Lesyuk

- Status changed from Incomplete to Under Verification

Files

openid_account_controller_patch.rb.patch 1.12 KB 18 Apr 2012 Ruben Silva

openid_account_controller_patch.rb 6.73 KB 11 Jul 2013 Leonid Titov

openid_account_controller_patch.rb 4.87 KB 12 Jul 2013 Dmitry Chernov
